installing perl DBI and DBD::Informix Modules

installing perl DBI and DBD::Informix Modules

Post by Murali Nan » Fri, 14 May 2004 04:11:53


This is a multi-part message in MIME format.

------=_NextPart_000_0053_01C4381A.50468300
Content-Type: text/plain;
charset="US-ASCII"
Content-Transfer-Encoding: quoted-printable

Hello ,=20

I have a solaris 2.8 and IDS 9.30 UC3 .=20

I wanted to install latest perl( 5.8 ) and DBI and DBD::Informix =
modules.=20

=20

Looks like the installation is deleting some files ( esqlc from my
/usr/Informix/lib directory).

Also it failed to compile esqltest.ec file in the perl DBD bundle.=20

=20

Can any body suggest me the right docs or a procedure to install DBI =
and
DBD::Informix=20

=20

Any help is appreciated.

Murali Nanduri =20


------=_NextPart_000_0053_01C4381A.50468300
Content-Type: text/html;
charset="US-ASCII"
Content-Transfer-Encoding: quoted-printable

<html>

<head>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Dus-ascii">


<meta name=3DGenerator content=3D"Microsoft Word 10 (filtered)">

<style>
<!--
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
{margin:0in;
margin-bottom:.0001pt;
font-size:12.0pt;
font-family:"Times New Roman";}
a:link, span.MsoHyperlink
{color:blue;
text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
{color:purple;
text-decoration:underline;}
span.EmailStyle17
{font-family:Arial;
color:windowtext;}
@page Section1
{size:8.5in 11.0in;
margin:1.0in 1.25in 1.0in 1.25in;}
div.Section1
{page:Section1;}
-->
</style>

</head>

<body lang=3DEN-US link=3Dblue vlink=3Dpurple>

<div class=3DSection1>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'>Hello , </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'>  I have a solaris 2.8 and IDS 9.30 UC3 . =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'>  I wanted to install latest perl( 5.8 ) and DBI =
and DBD::Informix
modules. </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'> </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'>  Looks like the installation is deleting some =
files ( esqlc
from my /usr/Informix/lib directory).</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'>  Also it failed to compile esqltest.ec file in =
the perl
DBD bundle. </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'> </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'>  Can any body suggest me the right docs or a =
procedure
to install DBI and DBD::Informix </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-siz
 
 
 

installing perl DBI and DBD::Informix Modules

Post by Jonathan L » Fri, 14 May 2004 13:58:26


Don't post (or email) MIME format.


OK - which version of CSDK are you using? And you mean Perl 5.8.3?
It's what I use - and I still sometimes use IDS 9.30.UC3, though you
should upgrade to the latest 9.30 version (9.30.UC7 or UC8). And
which version of ESQL/C, DBD::Informix, DBI are you using? Which
compiler are you using?


That I do not believe - unless you are really doing something
excessively weird. How can you demonstrate that attempting to compile
DBD::Informix (you didn't get around to installing anything) deleted
your ESQL/C compiler? Even if you tried to install it using
/usr/Informix as your current directory, all the source code would be
put in a new sub-directory DBD-Informx-2003.04.


That's possible. Which bit of the README file did you find too hard
to understand? It explains what you need to do, and how to report
problems (hint: this report doesn't contain the correct information!)

What was the error? When it fails to compile the esqltest program, it
tells you what to do -- it tells you to get the esqlbasic.ec program
compiled and running. Until you have that running, you have a broken
ESQL/C or ClientSDK installation - there is nothing to do except fix
that (independently of whether you are using Perl or not).


more README

esql -o esqlbasic esqlbasic.ec

./esqlbasic &&
perl Makefile.PL &&
make &&
make test &&
make install

It's OK to post questions about DBD::Informix (on c.d.i or
XXXX@XXXXX.COM - or XXXX@XXXXX.COM ), but you need to
remember how to ask questions intelligently.

http://www.yqcomputer.com/ ~esr/faqs/smart-questions.html


--
Jonathan Leffler #include <disclaimer.h>
Email: XXXX@XXXXX.COM , XXXX@XXXXX.COM
Guardian of DBD::Informix v2003.04 -- http://www.yqcomputer.com/